Skip to main content
PATCH
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
rules
/
reorder
Reorder Rules
curl --request PATCH \
  --url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/rules/reorder \
  --header 'Content-Type: application/json' \
  --data '
{
  "ruleIds": [
    "<string>"
  ]
}
'
Sets the display order of all rules for a space by providing a new ordered array of rule IDs. Only space admins can reorder rules.

Path Parameters

spaceId
string
required
UUID of the space.

Body Parameters

ruleIds
string[]
required
Ordered array of all rule UUIDs in the desired display order.

Response

Returns the full array of all rules for the space in the new order (same shape as List Rules).

Error Responses

One or more provided IDs do not exist in this space.
{ "error": "Some rule IDs were not found in this space.", "code": "rule/invalid-ids", "missingIds": ["..."] }
See also: useReorderRules